package cn.com.poc.human_resources.query;	

import java.io.Serializable;
import javax.persistence.Column;
import javax.persistence.Entity;
import cn.com.yict.framemax.data.model.BaseItemClass;

/**
 * Query Item class for PositionListQuery
 */
@Entity
public class PositionListQueryItem extends BaseItemClass implements Serializable{

    private static final long serialVersionUID = 1L;
    
    /** id
    *id
    */ 
    private java.lang.Long id;
    
    @Column(name = "id")
    public java.lang.Long getId(){
        return this.id;
    }
    
    public void setId(java.lang.Long id){
        this.id = id;
    }
    
    /** job_title
    *job_title
    */ 
    private java.lang.String jobTitle;
    
    @Column(name = "job_title")
    public java.lang.String getJobTitle(){
        return this.jobTitle;
    }
    
    public void setJobTitle(java.lang.String jobTitle){
        this.jobTitle = jobTitle;
    }
    
    /** work_location
    *work_location
    */ 
    private java.lang.String workLocation;
    
    @Column(name = "work_location")
    public java.lang.String getWorkLocation(){
        return this.workLocation;
    }
    
    public void setWorkLocation(java.lang.String workLocation){
        this.workLocation = workLocation;
    }
    
    /** job_nature
    *job_nature
    */ 
    private java.lang.String jobNature;
    
    @Column(name = "job_nature")
    public java.lang.String getJobNature(){
        return this.jobNature;
    }
    
    public void setJobNature(java.lang.String jobNature){
        this.jobNature = jobNature;
    }
    
    /** work_experience
    *work_experience
    */ 
    private java.lang.String workExperience;
    
    @Column(name = "work_experience")
    public java.lang.String getWorkExperience(){
        return this.workExperience;
    }
    
    public void setWorkExperience(java.lang.String workExperience){
        this.workExperience = workExperience;
    }
    
    /** member_id
    *member_id
    */ 
    private java.lang.Long memberId;
    
    @Column(name = "member_id")
    public java.lang.Long getMemberId(){
        return this.memberId;
    }
    
    public void setMemberId(java.lang.Long memberId){
        this.memberId = memberId;
    }
    
    /** resume_count
    *resume_count
    */ 
    private java.lang.Long resumeCount;
    
    @Column(name = "resume_count")
    public java.lang.Long getResumeCount(){
        return this.resumeCount;
    }
    
    public void setResumeCount(java.lang.Long resumeCount){
        this.resumeCount = resumeCount;
    }
    
} 